# Express - node web framework

Express
Express 2.x IS END-OF-LIFE AND NO LONGER MAINTAINED

Known and unknown security and performance issues in 2.x have not been addressed since the last update (29 June, 2012). It is highly recommended to upgrade to Express 3.x or to Express 4.x.

If you are unable to upgrade past 2.x, please consider Commercial Support Options.

High performance, high class web development for Node.js

## Synopsis

    express [options] [PATH]

## Description

The express executable generates apps at the given PATH or the current working directory. Although Express is not bound to a specific application structure, this executable creates a maintainable base app.

## Options

      -s, --sessions         Add session support
      -t, --template ENGINE  Add template ENGINE support (jade|ejs). Defaults to jade
      -c, --css ENGINE       Add stylesheet ENGINE support (less|sass|stylus). Defaults to plain css
      -v, --version          Output framework version
      -h, --help             Output help information